#!/bin/sh

case "$1" in
    echo)
        shift
        echo $@
        ;;

    borgmatic)
        shift
        case "$1" in
            sh)
                docker-compose exec borgmatic sh
                ;;
            *)
                echo "You have to choose a subcommand too, dummy."
                ;;
        esac
        ;;

    logs)
        shift
        docker-compose logs -f --tail=0
        ;;

    postgres)
        shift
        case "$1" in
            bash)
                docker-compose exec postgres bash
                ;;
            *)
                echo "You have to choose a subcommand too, dummy."
                ;;
        esac
        ;;

    psql)
        shift
        docker-compose exec postgres psql -U synapse -d synapsedb $@
        ;;

    synapses)
        shift
        case "$1" in
            stop)
                docker-compose stop synapse generic1 generic2 generic3 generic4 sender1 sender2 sender3 sender4
                ;;

            start)
                docker-compose start synapse generic1 generic2 generic3 generic4 sender1 sender2 sender3 sender4
                ;;

            restart)
                docker-compose restart synapse generic1 generic2 generic3 generic4 sender1 sender2 sender3 sender4
                ;;
            *)
                echo "You have to choose a subcommand too, dummy."
        esac
        ;;

    *)
        echo "You have to choose a command, dummy."
        ;;
esac
